Bug 1465722 - Master is enforced to find neutron LBaaS extension when openstack cloud provider is enabled
Summary: Master is enforced to find neutron LBaaS extension when openstack cloud provi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.7.0
Assignee: Seth Jennings
QA Contact: DeShuai Ma
URL:
Whiteboard:
Depends On: 1389205
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-28 02:48 UTC by DeShuai Ma
Modified: 2017-11-28 21:58 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Fixes an issue where the OpenShift master fails to start when using Openstack integration without LBaaS available. Now the master will start successfully even if the LBaaS is not available.
Clone Of: 1389205
Environment:
Last Closed: 2017-11-28 21:58:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3188 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Container Platform 3.7 security, bug, and enhancement update 2017-11-29 02:34:54 UTC

Comment 1 DeShuai Ma 2017-06-28 02:51:13 UTC
Reproduce on ocp36
openshift v3.6.126
kubernetes v1.6.1+5115d708d7
etcd 3.2.0

Comment 2 Seth Jennings 2017-06-29 04:20:37 UTC
Reintroduced by:
https://github.com/openshift/origin/pull/14633

Origin PR:
https://github.com/openshift/origin/pull/14951

Comment 4 DeShuai Ma 2017-07-06 03:26:59 UTC
Verify on openshift v3.6.135
kubernetes v1.6.1+5115d708d7
etcd 3.2.1

Comment 8 errata-xmlrpc 2017-11-28 21:58:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3188


Note You need to log in before you can comment on or make changes to this bug.